
	REMARK	#########################################################
	REMARK	#	A/R TAX CODE FILE MAINTENANCE    (A/R060)	#
	REMARK	#		VERS. OF 10.00 AM	3/5/79		#
	REMARK	#########################################################

	DIM R$(10),R1(10),R2(10)
%INCLUDE CURSOR
	GOTO 6000
%INCLUDE SUBS1
%INCLUDE A/RTAX

6000	MASKA$="/      /     ##.##%   #####.#"
	OPEN "A/R0F030.DAT" AS 1, "CRT" RECL 1100 AS 19
	X0=17:GOSUB 260							REMARK	DISPLAY TAX CODES CRT MASK
	A1=1:GOSUB 3700							REMARK	RETRIEVE TAX CODE DATA
	X1=384:GOSUB 210
	FOR I%=2 TO 10							REMARK	DISPLAY TAX CODE DATA
	X1=11:GOSUB 215
	PRINT USING MASKA$;R$(I%),R1(I%),R2(I%)
	NEXT I%
6020	X1=128:X2=2:X3=0:X4=10:GOSUB 345				REMARK	ALLOW CHANGES TO TAX CODES 1 THROUGH 9
	IF X0=10 THEN 6040						REMARK	END PROGRAM ON ENTRY OF TAX CODE 10
	IF X0=0 THEN X2$="PRESET - UNCHANGEABLE":GOSUB 615:GOTO 6020	REMARK	NO CHANGES ALLOWED TO TAX CODE 0
	F=X0+1
	X1=266+F*64:X2=8:X3=0:X4=0:GOSUB 345				REMARK	ENTER TAX CODE DESCRIPTION
	R$(F)=X0$
	X1=279+F*64:X2=5:X3=0:X4=99.99:GOSUB 345			REMARK	ENTER TAX RATE
	R1(F)=X0
	X1=288+F*64:X2=7:X3=0:X4=99999.9:GOSUB 345			REMARK	ENTER G/L ACCOUNT NUMBER
	R2(F)=X0
	GOTO 6020


6040	R$(1)="SPECIAL"							REMARK	END PROGRAM
	R1(1)=0:R2(1)=0
	CLOSE 1
	OPEN "A/R0F030.DAT" AS 1
	A1=1:GOSUB 3750							REMARK	RESAVE TAX CODE DATA
	PRINT CLEAR.SCREEN$;"A/R TAX CODE F/M LOADING MENU"
	CHAIN "A/P000"							REMARK	RELOAD MENU
